[RFC][3.3.x] Dropping support for outdated databases

General discussion of development ideas and the approaches taken in the 3.x branch of phpBB. The next feature release of phpBB 3 will be 3.2/Rhea followed by 3.3.
Forum rules
Please do not post support questions regarding installing, updating, or upgrading phpBB 3.1. If you need support for phpBB 3.1 please visit the 3.1.x Support Forum on phpbb.com.

If you have questions regarding writing extensions please post in Extension Writers Discussion to receive proper guidance from our staff and community.
Post Reply
User avatar
Marc
Development Team Leader
Development Team Leader
Posts: 123
Joined: Thu Sep 09, 2010 11:36 am
Location: Munich, Germany

[RFC][3.3.x] Dropping support for outdated databases

Post by Marc » Sun May 21, 2017 2:27 pm

As many of you have probably seen, we still have a rather large version range for the databases we support.

This results in a lot of issues when dealing with each and every version of these. Something that pops up at times is for example the creation of indexes for tables.
In order to prevent issues for users of phpBB and also reduced the needs for maintaining the support for these databases, I'd propose going through the databases we support, make a list of possible min versions depending on current usage, and henceforth remove any versions we should no longer support.

If anyone has a good source for the current use of each versions of our currently supported database types I'd appreciate a link towards that.

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1732
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: [RFC][3.3.x] Dropping support for outdated databases

Post by DavidIQ » Sun May 21, 2017 2:36 pm

Don't have a source on usage, but I think this one is long past the expiration date: SQL Server 2000. Have a ticket for that one already where I had put in more details:
https://tracker.phpbb.com/browse/PHPBB3-15052
Image

Post Reply